/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.mongodb.util;

import com.liferay.portal.kernel.util.GetterUtil;
import com.liferay.util.portlet.PortletProps;

/**
 * @author Raymond Augé
 * @author Brian Wing Shun Chan
 */
public class PortletPropsValues {

	public static final String DRIVER_AUTOCONNECT_RETRY = PortletProps.get(
		PortletPropsKeys.DRIVER_AUTOCONNECT_RETRY);

	public static final String DRIVER_CONNECT_TIMEOUT = PortletProps.get(
		PortletPropsKeys.DRIVER_CONNECT_TIMEOUT);

	public static final String DRIVER_CONNECTIONS_PER_HOST = PortletProps.get(
		PortletPropsKeys.DRIVER_CONNECTIONS_PER_HOST);

	public static final String DRIVER_MAX_WAIT_TIME = PortletProps.get(
		PortletPropsKeys.DRIVER_MAX_WAIT_TIME);

	public static final String DRIVER_SOCKET_TIMEOUT = PortletProps.get(
		PortletPropsKeys.DRIVER_SOCKET_TIMEOUT);

	public static final String DRIVER_THREADS_ALLOWED_TO_BLOCK =
		PortletProps.get(PortletPropsKeys.DRIVER_THREADS_ALLOWED_TO_BLOCK);

	public static final String SERVER_DATABASE = PortletProps.get(
		PortletPropsKeys.SERVER_DATABASE);

	public static final String[] SERVER_HOSTNAMES = PortletProps.getArray(
		PortletPropsKeys.SERVER_HOSTNAMES);

	public static final String SERVER_PASSWORD = PortletProps.get(
		PortletPropsKeys.SERVER_PASSWORD);

	public static final int SERVER_PORT = GetterUtil.getInteger(
		PortletProps.get(PortletPropsKeys.SERVER_PORT));

	public static final String SERVER_USERNAME = PortletProps.get(
		PortletPropsKeys.SERVER_USERNAME);

}